import { getDepartmenList } from '@/services/user/api'
import { useState, useCallback } from 'react'

// 部门模块
export default () => {
  const [department, setDepartment] = useState<API.DepartmentItem[]>([])

  /** 获取部门列表 */
  const fetchDepartment = useCallback(async () => {
    const { data = [] } = await getDepartmenList()
    setDepartment(data)
  }, [])
  return { department, fetchDepartment }
}
