import { useState } from 'react'
import MarkdownIt from 'markdown-it'
import MdEditor from 'react-markdown-editor-lite'
// 导入编辑器的样式
import 'react-markdown-editor-lite/lib/index.css'

const mdParser = new MarkdownIt()

const RighEditor = ({ value, onChange }) => {
  const [cValue, setValue] = useState(value)
  // 完成！
  function handleEditorChange({ text, html }) {
    setValue(text)
    onChange(JSON.stringify(html))
  }
  return (
    <MdEditor
      style={{ height: '300px' }}
      value={cValue}
      renderHTML={text => mdParser.render(text)}
      onChange={handleEditorChange}
    />
  )
}
export default RighEditor
