﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login'
          }
        ]
      }
    ]
  },
  {
    path: '/',
    redirect: '/role/system'
  },
  {
    path: '/role',
    name: 'role',
    icon: 'UserOutlined',
    routes: [
      {
        path: '/role',
        redirect: '/role/system'
      },
      {
        path: '/role/system',
        name: 'system',
        component: './role/System',
        access: 'authRouteFilter'
      },
      {
        path: '/role/customer',
        name: 'customer',
        component: './role/Customer',
        access: 'authRouteFilter'
      },
      {
        path: '/role/hr',
        name: 'hr',
        component: './role/Hr',
        access: 'authRouteFilter'
      },
      {
        path: '/role/workbench',
        name: 'workbench',
        component: './role/workbench',
        access: 'authRouteFilter'
      },
      {
        path: '/role/product',
        name: 'product',
        component: './role/product',
        access: 'authRouteFilter'
      },
      {
        path: '/role/statistic',
        name: 'statistic',
        component: './role/Statistic',
        access: 'authRouteFilter'
      }
    ]
  },
  {
    path: '/business',
    name: 'business',
    icon: 'icon-cog-solid',
    routes: [
      {
        path: '/business',
        redirect: '/business/attendance'
      },
      {
        path: '/business/commonSetting',
        name: 'commonSetting',
        component: './business/CommonSetting',
        access: 'authRouteFilter'
      },
      {
        path: '/business/attendance',
        name: 'attendance',
        component: './business/Attendance',
        access: 'authRouteFilter'
      },
      {
        path: '/business/contact',
        name: 'contact',
        component: './business/Contact',
        access: 'authRouteFilter'
      },
      {
        path: '/business/invoice',
        name: 'invoice',
        component: './business/Invoice',
        access: 'authRouteFilter'
      }
      // {
      //   path: '/business/notice',
      //   name: 'notice',
      //   component: './business/Notification',
      //   access: 'authRouteFilter'
      // }
    ]
  }
]
